# 32/64bit spec-file
#
%define	version 4.7.6
%define	release	%mkrel 2
%define	major	0
%define	libname	%mklibname %{name} %{major}
%define develname %mklibname %{name} -d

# build options
%define	enable_dante	0
%{?_with_dante: %define enable_dante 1}

Summary:	Commandline ftp client
Summary(de):	ftp-Klient für die Kommandozeile
Name:		lftp
Version:	%{version}
Release:	%{release}
URL:		http://lftp.yar.ru/			
Group:		Networking/File transfer
License:	GPLv2+
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	http://ftp.yars.free.net/pub/source/%{name}/%{name}-%{version}.tar.xz
Patch0:		lftp-2.2.0-lftpgetmanpage.patch
Patch1:		lftp-3.7.7-distro-defaults.patch
Patch2:		lftp-4.7.6-link.patch
Patch3:		lftp-4.4.0-automake.patch
#-----------------------------------
BuildRequires: %{_lib}expat1-devel
BuildRequires: %{_lib}gnutls-devel
BuildRequires: %{_lib}ncurses-devel
BuildRequires: %{_lib}readline-devel
BuildRequires: %{_lib}termcap-devel
#-----------------------------------
%if %enable_dante
BuildRequires:	dante-devel
%endif
Requires:	less
Obsoletes:	%{libname} < %version
Obsoletes:	%{develname} < %version


%description
LFTP is a shell-like command line ftp client. The main two advantages
over other ftp clients are reliability and ability to perform tasks
in background. It will reconnect and reget the file being transferred
if the connection broke. You can start a transfer in background and
continue browsing on the ftp site.  It does this all in one process.
When you have started background jobs and feel you are done, you can
just exit lftp and it automatically moves to nohup mode and completes
the transfers. It has also such nice features as reput and mirror.

%description -l de
LFTP ist ein shell-ähnlicher Kommandozeilen FTP Client. Die beiden 
Hauptvorteile gegenüber allen anderen FTP Klienten sind seine 
Zuverlässigkeit und die Fähigkeit Anwendungen im Hintergrund auszuführen. 
Er wählt sich bei unterbrochenen Verbindungen wieder ein und stellt die 
unterbrochene Verbindungen wieder her. Du kannst einen Transfer starten 
und auf der FTP-Seite browsen, der Transfer läuft im Hintergrund weiter, 
dies alles passiert in einem Prozess. Wenn du einen Hintergrundprozess 
gestartet hast und du fertig bist, kannst du lftp beenden er wechselt 
automatisch in den nohup-Modus und führt den Transfer zu Ende. Er hat 
ebenso gute Funktionen zum Auslagern und Spiegeln. Die Built Optionen:
-with dante schaltet die dante-Unterstützung ein“


%if %enable_dante
Build option:
--with dante	Enable dante support
%endif

%package -n %{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/Libraries
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.


%prep
%setup -q
%apply_patches

# fix encoding
iconv -f ISO-8859-1 -t UTF-8 NEWS -o NEWS.utf8
touch -r NEWS NEWS.utf8
mv -f NEWS.utf8 NEWS

%build
autoreconf -fi
%configure2_5x \
	--with-modules=yes \
	--with-pager="exec less" \
%if %{enable_dante}
	--with-socksdante=yes \
%endif

%make

%install
%makeinstall_std MKDIR_P="mkdir -p" INSTALL='install -p' 

%find_lang %{name}

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING FAQ MIRRORS NEWS 
%doc README.* THANKS TODO
%config(noreplace) %{_sysconfdir}/lftp.conf
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}/

%{_libdir}/*.so.%{major}*
%dir %dir %{_libdir}/lftp
%dir %{_libdir}/lftp/%{version}
%{_libdir}/lftp/%{version}/*.so

%files -n %{develname}
%{_libdir}/*.so

%changelog
* Wed Jun 28 2017 adrianomorselli <adrianomorselli> 4.7.6-2uplos2017
- updated for new gnutls
